.tree {
    color: $black;
    font-size: rem(16);
    line-height: rem(24);

    .tree__nodes {
        margin: 0;
        position: relative;
        padding: 0 0 0 rem(50);
        list-style: none;

        .tree__nodes {

            .tree__node {

                &:after {
                    left: rem(-40);
                    top: 0;
                    bottom: 0;
                    content: '';
                    position: absolute;
                    border-left: 1px dashed #D9D9D9;
                }

                &:before {
                    z-index: 1;
                    content: '';
                    top: rem(22);
                    left: rem(-40);
                    width: rem(30);
                    position: absolute;
                    border-bottom: 1px dashed #D9D9D9;
                }

                &:first-child {

                    &:after {
                        top: rem(4);
                    }
                }

                &:last-child {

                    &:after {
                        bottom: calc(100% - 1.25rem);
                    }
                }
            }
        }
    }

    .tree__node {
        padding: rem(10) 0;
        position: relative;

        &:last-child {
            padding-bottom: 0;
        }

        &.open {

            > .tree__switcher {

            }
        }
    }

    > .tree__nodes {
        padding: 0;
    }

    &__text {
        cursor: pointer;

        &.active {
            color: $blue;
        }
    }

    &__switcher {
        width: 18px;
        height: 18px;
        top: 3px;
        margin-left: rem(4);
        position: relative;
        display: inline-block;
        border: 2px solid #8397A4;
        border-radius: 50%;

        &:after,
        &:before {
            top: calc(50% - 1px);
            left: calc(50% - 5px);
            z-index: 1;
            content: '';
            width: 10px;
            height: 2px;
            border-radius: 2px;
            position: absolute;
            background: #8397A4;
            transition: .3s;
        }

        &:after {
            transform: rotate(90deg);
        }
    }
}

[data-tree-nodes] {

    [data-tree-nodes] {
        display: none;
    }
}

[data-tree-node] {

    &.open {

        > [data-tree-nodes] {
            display: block;
        }

        > [data-tree-switcher] {

            &:after {
                transform: rotate(0deg);
            }
        }
    }
}
